Naivete Precedes Misrepresentation

    @ly-js/ui
    TypeScript icon, indicating that this package has built-in type declarations

    0.0.24 • Public • Published

    @ly-js/ui

    @ly-js/ui 是基于vue3常用库,会在@ly-js/element中引入

    Install

    NPM

    npm i @ly-js/ui --save

    YARN

    yarn add @ly-js/ui

    pnpm

    pnpm add @ly-js/ui

    Usage

    方式一:全局引入

    import LyUi from '@ly-js/ui'
    import '@ly-js/ui/lib/index.css'
    createApp(App).use(LyUi)

    方式二(推荐):自动引入,需要引入插件:unplugin-vue-components

    const Components = require('unplugin-vue-components/webpack')
    const { LyUIResolver } = require('@ly-js/ui/resolver')
    Components({
      resolvers: [LyUIResolver()]
    })

    方式三:按需引入,需要插件

    ts-import-plugin/babel-plugin-import

    ly-icon 使用

    import { loadIconScripts } from "@ly-js/ui";
    // or
    import { loadIconScripts } from "@ly-js/ui/es/components/icon";
    loadIconScripts([
    "//at.alicdn.com/t/font_2392320_8shvya0stko.js",
    "//at.alicdn.com/t/font_2776842_w2g6gr94ny.js"
    ]);
    
    <ly-icon type="ly-iconfullscreen-shrink" style="color: red"></ly-icon>
    <ly-icon type="ly-iconfullscreen-expand" class="blue"></ly-icon>

    Keywords

    Install

    npm i @ly-js/ui

    DownloadsWeekly Downloads

    7

    Version

    0.0.24

    License

    ISC

    Unpacked Size

    261 kB

    Total Files

    183

    Last publish

    Collaborators

    • lardliyi